SystemOrganization addCategory: #'JQueryMobile-Tests-Core-Callbacks'!

!GRPackage class methodsFor: '*jquerymobile-tests-core-callbacks' stamp: 'NickAger 10/25/2011 11:45'!
jQueryMobileTestsCoreCallbacks
	^ self new
		name: 'JQueryMobile-Tests-Core-Callbacks';
		description: 'jQueryMobile callback registry tests';
		addDependency:  'JQueryMobile-Core-Rendering';
		addDependency: 'Grease-Tests-Core';
		url: #seasideUrl;
		yourself! !

TestCase subclass: #JQCallbackRegistryTest
	instanceVariableNames: 'registry requestContext'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'JQueryMobile-Tests-Core-Callbacks'!

!JQCallbackRegistryTest methodsFor: 'configuration' stamp: 'NickAger 10/24/2011 11:07'!
createRequestContext
	^ WARequestContext request: WARequest new response: WABufferedResponse new codec: GRNullCodec new! !

!JQCallbackRegistryTest methodsFor: 'private' stamp: 'NickAger 10/24/2011 11:10'!
performTest
	requestContext := self createRequestContext.
	WACurrentRequestContext 
		use: self requestContext
		during: [
			self requestContext
				push: WASession new
				during: [ super performTest ] ]! !

!JQCallbackRegistryTest methodsFor: 'accessing' stamp: 'NickAger 10/24/2011 11:07'!
requestContext
	^ requestContext! !

!JQCallbackRegistryTest methodsFor: 'running' stamp: 'NickAger 10/24/2011 10:53'!
setUp
	super setUp.
	registry := JQMCallbackRegistry new! !

!JQCallbackRegistryTest methodsFor: 'tests' stamp: 'NickAger 10/24/2011 11:16'!
testAdvanceKey
	self assert: registry advanceKey = '1'.
	self assert: registry advanceKey = '2'.
	self assert: registry advanceKey = '3'! !
